<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e81d6e08-efc7-40a0-909d-ec4943d948e9" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/.idea.KhaoticEngineReborn/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.KhaoticEngineReborn/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/inc/system/inputclass.h" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/inc/system/inputclass.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/inc/system/systemclass.h" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/inc/system/systemclass.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/src/system/Systemclass.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/src/system/Systemclass.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/src/system/imguiManager.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/src/system/imguiManager.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/src/system/inputclass.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/src/system/inputclass.cpp" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DpaMonitoringSettings">
    <option name="firstShow" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="mock:///dummy.cpp" root0="SKIP_HIGHLIGHTING" />
    <setting file="mock:///dummy.cpp" root0="SKIP_HIGHLIGHTING" />
    <setting file="mock:///dummy.cpp" root0="SKIP_HIGHLIGHTING" />
    <setting file="mock:///dummy.cpp" root0="SKIP_HIGHLIGHTING" />
    <setting file="cidr-memory-view://0" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/src/shader/CelShadingShader.cpp" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MetaFilesCheckinStateConfiguration" checkMetaFiles="true" />
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 6
}</component>
  <component name="ProjectId" id="2sGIWDeT5ixyzDQ0he4A3RFpG9W" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ASKED_SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "C++ Project.enginecustom.executor": "Run",
    "C/C++ Project.enginecustom.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.git.unshallow": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "git-widget-placeholder": "main",
    "ignore.virus.scanning.warn.message": "true",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "preferences.pluginManager",
    "vue.rearranger.settings.migration": "true"
  },
  "keyToStringList": {
    "rider.external.source.directories": [
      "C:\\Users\\arivas\\AppData\\Roaming\\JetBrains\\Rider2024.1\\resharper-host\\DecompilerCache",
      "C:\\Users\\arivas\\AppData\\Roaming\\JetBrains\\Rider2024.1\\resharper-host\\SourcesCache",
      "C:\\Users\\arivas\\AppData\\Local\\Symbols\\src"
    ]
  }
}]]></component>
  <component name="RunManager" selected="C++ Project.enginecustom">
    <configuration name="KhaoticDemo" type="CppProject" factoryName="C++ Project">
      <configuration_1>
        <option name="CONFIGURATION" value="Debug" />
        <option name="PLATFORM" value="x64" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/KhaoticDemo/KhaoticDemo.vcxproj" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(LocalDebuggerCommand)" />
        <option name="PROGRAM_PARAMETERS" value="$(LocalDebuggerCommandArguments)" />
        <option name="WORKING_DIRECTORY" value="$(LocalDebuggerWorkingDirectory)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
      </configuration_1>
      <option name="DEFAULT_PROJECT_PATH" value="$PROJECT_DIR$/KhaoticDemo/KhaoticDemo.vcxproj" />
      <option name="AUTO_SELECT_PRIORITY" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
    <configuration name="enginecustom" type="CppProject" factoryName="C++ Project">
      <configuration_1>
        <option name="CONFIGURATION" value="Debug" />
        <option name="PLATFORM" value="x64" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(LocalDebuggerCommand)" />
        <option name="PROGRAM_PARAMETERS" value="$(LocalDebuggerCommandArguments)" />
        <option name="WORKING_DIRECTORY" value="$(LocalDebuggerWorkingDirectory)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
      </configuration_1>
      <configuration_2>
        <option name="CONFIGURATION" value="Release" />
        <option name="PLATFORM" value="x64" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(TargetPath)" />
        <option name="PROGRAM_PARAMETERS" value="" />
        <option name="WORKING_DIRECTORY" value="$(ProjectDir)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
      </configuration_2>
      <option name="DEFAULT_PROJECT_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
      <option name="AUTO_SELECT_PRIORITY" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e81d6e08-efc7-40a0-909d-ec4943d948e9" name="Changes" comment="" />
      <created>1738075515913</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1738075515913</updated>
      <workItem from="1738075517746" duration="553000" />
      <workItem from="1738076088229" duration="80000" />
      <workItem from="1738076192788" duration="19000" />
      <workItem from="1738076222547" duration="6131000" />
      <workItem from="1738171504772" duration="876000" />
      <workItem from="1738172392786" duration="67000" />
      <workItem from="1738173151768" duration="2361000" />
      <workItem from="1738175535254" duration="279000" />
      <workItem from="1738178991872" duration="2736000" />
      <workItem from="1738244577624" duration="3000" />
      <workItem from="1738321399968" duration="689000" />
      <workItem from="1738358054789" duration="9000" />
      <workItem from="1738358091089" duration="6675000" />
      <workItem from="1738364887298" duration="2275000" />
      <workItem from="1738515031789" duration="14018000" />
      <workItem from="1741705445392" duration="138000" />
      <workItem from="1741706018301" duration="5499000" />
      <workItem from="1742198713923" duration="31000" />
      <workItem from="1742198792655" duration="4618000" />
      <workItem from="1742203643675" duration="600000" />
      <workItem from="1742206836574" duration="258000" />
      <workItem from="1742207107802" duration="5340000" />
      <workItem from="1742228751298" duration="38000" />
      <workItem from="1742228870107" duration="1198000" />
      <workItem from="1742314944369" duration="79000" />
      <workItem from="1742318452773" duration="2258000" />
      <workItem from="1742331065936" duration="3030000" />
      <workItem from="1742371397157" duration="13355000" />
    </task>
    <task id="LOCAL-00001" summary="Minor update - viewport window tweak">
      <option name="closed" value="true" />
      <created>1738175474520</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1738175474520</updated>
    </task>
    <task id="LOCAL-00002" summary="Patch update - add menu button">
      <option name="closed" value="true" />
      <created>1738181617050</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1738181617050</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnityCheckinConfiguration" checkUnsavedScenes="true" />
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
    <MESSAGE value="Minor update - viewport window tweak" />
    <MESSAGE value="Patch update - add menu button" />
    <option name="LAST_COMMIT_MESSAGE" value="Patch update - add menu button" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="CppProject">
        <watch expression="((class ModelClass &amp;) (*(*(*this).m_Application).m_object[0]))" />
      </configuration>
    </watches-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>